---
updatedAt: 2026-06-03T12:16:05.000Z
agentTools:
  projectIndex: https://docs.asaas.com/llms.txt
---

# Retrieve configuration for issuing invoices

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Asaas",
    "description": "API pública de integração com a plataforma Asaas.",
    "version": "3.0.0"
  },
  "servers": [
    {
      "url": "https://api-sandbox.asaas.com",
      "description": "Sandbox"
    }
  ],
  "security": [
    {
      "Authorization": []
    }
  ],
  "tags": [
    {
      "name": "Subscription"
    }
  ],
  "paths": {
    "/v3/subscriptions/{id}/invoiceSettings": {
      "get": {
        "tags": [
          "Subscription"
        ],
        "summary": "Retrieve configuration for issuing invoices",
        "description": "",
        "operationId": "retrieve-configuration-for-issuance-of-invoices",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Unique subscription identifier in Asaas",
            "required": true,
            "schema": {
              "type": "string",
              "example": "sub_VXJBYgP2u0eO"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Ok",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SubscriptionInvoiceConfigGetResponseDTO"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseDTO"
                },
                "example": {
                  "errors": [
                    {
                      "code": "error_code",
                      "description": "Error description"
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseDTO"
                },
                "example": {
                  "errors": [
                    {
                      "code": "invalid_access_token",
                      "description": "A chave de API fornecida é inválida"
                    }
                  ]
                }
              }
            }
          },
          "403": {
            "description": "Forbidden. Occurs when the request body is filled, GET method calls must have an empty body."
          },
          "404": {
            "description": "Not found"
          }
        },
        "deprecated": false
      }
    }
  },
  "components": {
    "schemas": {
      "ErrorResponseDTO": {
        "type": "object",
        "properties": {
          "errors": {
            "type": "array",
            "description": "List of objects",
            "deprecated": false,
            "items": {
              "$ref": "#/components/schemas/ErrorResponseItemDTO"
            }
          }
        }
      },
      "ErrorResponseItemDTO": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code",
            "deprecated": false,
            "example": null
          },
          "description": {
            "type": "string",
            "description": "Error description",
            "deprecated": false,
            "example": null
          }
        },
        "description": "List of objects",
        "deprecated": false
      },
      "SubscriptionInvoiceConfigGetResponseDTO": {
        "type": "object",
        "properties": {
          "municipalServiceId": {
            "type": "string",
            "description": "Unique municipal service identifier",
            "deprecated": false,
            "example": null
          },
          "municipalServiceCode": {
            "type": "string",
            "description": "Municipal Service Code",
            "example": "1.01",
            "deprecated": false
          },
          "municipalServiceName": {
            "type": "string",
            "description": "Name of municipal service",
            "deprecated": false,
            "example": null
          },
          "deductions": {
            "type": "number",
            "description": "Deductions. Deductions do not change the total value of the invoice, but they do change the ISS calculation basis.",
            "example": 55,
            "deprecated": false
          },
          "invoiceCreationPeriod": {
            "type": "string",
            "description": "When the invoice will be issued",
            "example": "ON_PAYMENT_CONFIRMATION",
            "deprecated": false,
            "enum": [
              "ON_PAYMENT_CONFIRMATION",
              "ON_PAYMENT_DUE_DATE",
              "BEFORE_PAYMENT_DUE_DATE",
              "ON_DUE_DATE_MONTH",
              "ON_NEXT_MONTH"
            ]
          },
          "daysBeforeDueDate": {
            "type": "integer",
            "description": "Number of days before billing due date",
            "format": "int32",
            "deprecated": false,
            "example": null
          },
          "receivedOnly": {
            "type": "boolean",
            "description": "Issue only for paid charges",
            "deprecated": false,
            "example": null
          },
          "observations": {
            "type": "string",
            "description": "Additional notes on the invoice",
            "example": "Regarding March work",
            "deprecated": false
          },
          "taxes": {
            "$ref": "#/components/schemas/SubscriptionInvoiceTaxesResponseDTO"
          }
        }
      },
      "SubscriptionInvoiceTaxesResponseDTO": {
        "required": [
          "retainIss",
          "iss",
          "pis",
          "cofins",
          "csll",
          "inss",
          "ir"
        ],
        "type": "object",
        "properties": {
          "nbsCode": {
            "type": "string",
            "description": "NBS Code (Brazilian Nomenclature of Services)",
            "example": "1.0101.11.00",
            "deprecated": false
          },
          "taxSituationCode": {
            "type": "string",
            "description": "Tax situation code",
            "example": "011",
            "deprecated": false
          },
          "taxClassificationCode": {
            "type": "string",
            "description": "Tax classification code",
            "example": "011001",
            "deprecated": false
          },
          "operationIndicatorCode": {
            "type": "string",
            "description": "Operation indicator code",
            "example": "020101",
            "deprecated": false
          },
          "retainIss": {
            "type": "boolean",
            "description": "The invoice holder must withhold ISS or not",
            "nullable": false,
            "example": true,
            "deprecated": false
          },
          "iss": {
            "type": "number",
            "description": "ISS tax percentage",
            "nullable": false,
            "example": 2,
            "deprecated": false
          },
          "pisCofinsRetentionType": {
            "type": "string",
            "description": "PIS/COFINS retention type. Do not send this field in the request; it is automatically calculated by Asaas based on the PIS, COFINS and CSLL percentages. Use the value returned in the response for reconciliation purposes",
            "example": "NOT_WITHHELD",
            "deprecated": false
          },
          "pisCofinsTaxStatus": {
            "type": "string",
            "description": "PIS/COFINS tax status",
            "example": "STANDARD_TAXABLE_OPERATION",
            "deprecated": false
          },
          "operationPis": {
            "type": "number",
            "description": "Operation PIS percentage (taxpayer's own assessment)",
            "example": 0.65,
            "deprecated": false
          },
          "operationCofins": {
            "type": "number",
            "description": "Operation COFINS percentage (taxpayer's own assessment)",
            "example": 3,
            "deprecated": false
          },
          "pis": {
            "type": "number",
            "description": "PIS tax percentage",
            "nullable": false,
            "example": 0.65,
            "deprecated": false
          },
          "cofins": {
            "type": "number",
            "description": "COFINS tax percentage",
            "nullable": false,
            "example": 3,
            "deprecated": false
          },
          "csll": {
            "type": "number",
            "description": "CSLL tax percentage",
            "nullable": false,
            "example": 9,
            "deprecated": false
          },
          "inss": {
            "type": "number",
            "description": "INSS tax percentage",
            "nullable": false,
            "example": 11,
            "deprecated": false
          },
          "ir": {
            "type": "number",
            "description": "IR tax percentage",
            "nullable": false,
            "example": 1.5,
            "deprecated": false
          },
          "stateIbs": {
            "type": "number",
            "description": "State IBS percentage",
            "example": 0.1,
            "deprecated": false
          },
          "stateIbsValue": {
            "type": "number",
            "description": "State IBS value",
            "example": 0.3,
            "deprecated": false
          },
          "municipalIbs": {
            "type": "number",
            "description": "Municipal IBS percentage",
            "example": 0,
            "deprecated": false
          },
          "municipalIbsValue": {
            "type": "number",
            "description": "Municipal IBS value",
            "example": 0,
            "deprecated": false
          },
          "cbs": {
            "type": "number",
            "description": "CBS percentage",
            "example": 0.9,
            "deprecated": false
          },
          "cbsValue": {
            "type": "number",
            "description": "CBS value",
            "example": 2.7,
            "deprecated": false
          }
        },
        "description": "Invoice taxes",
        "deprecated": false
      }
    },
    "securitySchemes": {
      "Authorization": {
        "type": "apiKey",
        "name": "access_token",
        "in": "header"
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "User-Agent",
        "value": "NomeDaSuaAplicacao/1.0.0"
      }
    ]
  }
}
```

# Sibling pages

* [Create new subscription](https://docs.asaas.com/reference/create-new-subscription.md)
* [List subscriptions](https://docs.asaas.com/reference/list-subscriptions.md)
* [Create subscription with credit card](https://docs.asaas.com/reference/create-subscription-with-credit-card.md)
* [Retrieve a single subscription](https://docs.asaas.com/reference/retrieve-a-single-subscription.md)
* [Update existing subscription](https://docs.asaas.com/reference/update-existing-subscription.md)
* [Remove subscription](https://docs.asaas.com/reference/remove-subscription.md)
* [Update credit card without charging the subscription](https://docs.asaas.com/reference/update-subscription-credit-card.md)
* [List payments of a subscription](https://docs.asaas.com/reference/list-payments-of-a-subscription.md)
* [Generate subscription booklet](https://docs.asaas.com/reference/generate-subscription-booklet.md)
* [Create configuration for issuing invoices](https://docs.asaas.com/reference/create-configuration-for-issuance-of-invoices.md)
* [Remove configuration for issuing invoices](https://docs.asaas.com/reference/remove-configuration-for-issuance-of-invoices.md)
* [Update configuration for issuing invoices](https://docs.asaas.com/reference/update-configuration-for-issuance-of-invoices.md)
* [List invoices for subscription charges](https://docs.asaas.com/reference/list-invoices-for-subscription-charges.md)